﻿## This file contains options that can be changed to customize your game.
##
## Lines beginning with two '#' marks are comments, and you shouldn't uncomment
## them. Lines beginning with a single '#' mark are commented-out code, and you
## may want to uncomment them when appropriate.


## Basics ######################################################################

## A human-readable name of the game. This is used to set the default window
## title, and shows up in the interface and error reports.
##
## The _() surrounding the string marks it as eligible for translation.

define config.name = _("reset")

# EZZEL MINDENKINEK LESZ DEVELOPER MODJA
define config.console = True

## Determines if the title given above is shown on the main menu screen. Set
## this to False to hide the title.

define gui.show_name = True


## The version of the game.

define config.version = "1.3.3"


## Text that is placed on the game's about screen. To insert a blank line
## between paragraphs, write \n\n.

define gui.about = _("""Készítette: aryx 2017-ben. \n
~Köszönet~
    Stalkerby
    nekokota
    CubeIX
    {a=https://www.youtube.com/user/Dzsipszipapa}Dzsipszi{/a}
    NJE/GAMF, LKK

~ Betűtípus ~
    Caveat Brush - Pablo Impallari

~ Hátterek ~
    15-ös busz - Gyenes Viktor
    Minden más: aryx és nekokota

~ Karakterek ~
    Alapok: Kaoru Character Set ({a=http://gensoukyou.1000.tv/dl.html}http://gensoukyou.1000.tv/dl.html{/a})
    A settel összedobálta: aryx
    Rajzolt hozzá: Dzsipszi

~ Hangok ~
    Crazy Realistic Knocking Sound - EhKarmah
    Computer Startup - guitarguy1985
    Door Open/Close - {a=http://mysoundeffect.com/}http://mysoundeffect.com/{/a}
    Locked Door - {a=http://distortedroom.com/}http://distortedroom.com/{/a}
    Phone Ringing out - johnnyboy3217
    Busy Signal / Interrupted Call - +telenovelas
    Keyboard Typing - royaltyfreesfx
    Lamp Switch Sound Effect - {a=https://www.youtube.com/channel/UCiXjH80ZjXBzYCVUt8-RFzw}ItsGazHQ{/a}
    Punch Sound Effect - <unknown>
    Cat Meow 2 Sound - Cat Stevens

 (Ha valaki lopta a hangot - ezért rosszul nevezem meg a készítőt - őt kell felelősségre vonni :))

~ Zene ~
    \"Reset OST\" - aryx ft. qoot
    \"Reset OST II\" - aryx
    \"Placidity\" - aryx
    \"LKK Hardstyle\" - aryx
    Samplek:
        - Damage Amen Pack
        - 5 Fantasiestücke, Op. 5 - III. Humoresque (Samuel Coleridge-Taylor)

~ Használt szoftver ~
 A játék 99%-a Linuxon készült, ingyenes programokkal:
    - Xubuntu 16.04.3 LTS
    - GNU Image Manipulation Program
    - Linux Multi Media Studio
    - Audacity
    - RenPy
    - Editra
                     
A játék története kitaláció. Mind a sztoriban, mind a karakterekben és a valóság között vélt kapcsolat a képzelet szüleménye, habár IT oldalról a sztori nem tartalmaz baromságokat.
A fejlesztés során egyetlen kredit sem veszett el.
\n\nKöszönet mindenkinek!""")


## A short name for the game used for executables and directories in the built
## distribution. This must be ASCII-only, and must not contain spaces, colons,
## or semicolons.

define build.name = "reset"


## Sounds and music ############################################################

## These three variables control which mixers are shown to the player by
## default. Setting one of these to False will hide the appropriate mixer.

define config.has_sound = True
define config.has_music = True
define config.has_voice = True


## To allow the user to play a test sound on the sound or voice channel,
## uncomment a line below and use it to set a sample sound to play.

define config.sample_sound = "sound/click.ogg"
# define config.sample_voice = "sample-voice.ogg"


## Uncomment the following line to set an audio file that will be played while
## the player is at the main menu. This file will continue playing into the
## game, until it is stopped or another file is played.

define config.main_menu_music = "music/reset_ost2.mp3"


## Transitions #################################################################
##
## These variables set transitions that are used when certain events occur.
## Each variable should be set to a transition, or None to indicate that no
## transition should be used.

## Entering or exiting the game menu.

define config.enter_transition = dissolve
define config.exit_transition = dissolve


## A transition that is used after a game has been loaded.

define config.after_load_transition = None


## Used when entering the main menu after the game has ended.

define config.end_game_transition = None


## A variable to set the transition used when the game starts does not exist.
## Instead, use a with statement after showing the initial scene.


## Window management ###########################################################
##
## This controls when the dialogue window is displayed. If "show", it is always
## displayed. If "hide", it is only displayed when dialogue is present. If
## "auto", the window is hidden before scene statements and shown again once
## dialogue is displayed.
##
## After the game has started, this can be changed with the "window show",
## "window hide", and "window auto" statements.

define config.window = "auto"


## Transitions used to show and hide the dialogue window

define config.window_show_transition = Dissolve(.2)
define config.window_hide_transition = Dissolve(.2)


## Preference defaults #########################################################

## Controls the default text speed. The default, 0, is infinite, while any other
## number is the number of characters per second to type out.

default preferences.text_cps = 100


## The default auto-forward delay. Larger numbers lead to longer waits, with 0
## to 30 being the valid range.

default preferences.afm_time = 15


## Save directory ##############################################################
##
## Controls the platform-specific place Ren'Py will place the save files for
## this game. The save files will be placed in:
##
## Windows: %APPDATA\RenPy\<config.save_directory>
##
## Macintosh: $HOME/Library/RenPy/<config.save_directory>
##
## Linux: $HOME/.renpy/<config.save_directory>
##
## This generally should not be changed, and if it is, should always be a
## literal string, not an expression.

define config.save_directory = "reset-1497792787"


## Icon ########################################################################
##
## The icon displayed on the taskbar or dock.

define config.window_icon = "gui/window_icon.png"


## Build configuration #########################################################
##
## This section controls how Ren'Py turns your project into distribution files.

init python:
    
    config.mouse = { 'default' : [ ('gerikurzor.png', 0, 0)] }

    ## The following functions take file patterns. File patterns are case-
    ## insensitive, and matched against the path relative to the base directory,
    ## with and without a leading /. If multiple patterns match, the first is
    ## used.
    ##
    ## In a pattern:
    ##
    ## / is the directory separator.
    ##
    ## * matches all characters, except the directory separator.
    ##
    ## ** matches all characters, including the directory separator.
    ##
    ## For example, "*.txt" matches txt files in the base directory, "game/
    ## **.ogg" matches ogg files in the game directory or any of its
    ## subdirectories, and "**.psd" matches psd files anywhere in the project.

    ## Classify files as None to exclude them from the built distributions.

    build.classify('**~', None)
    build.classify('**.bak', None)
    build.classify('**/.**', None)
    build.classify('**/#**', None)
    build.classify('**/thumbs.db', None)

    ## To archive files, classify them as 'archive'.

    # build.classify('game/**.png', 'archive')
    # build.classify('game/**.jpg', 'archive')

    ## Files matching documentation patterns are duplicated in a mac app build,
    ## so they appear in both the app and the zip file.

    build.documentation('*.html')
    build.documentation('*.txt')

## A Google Play license key is required to download expansion files and perform
## in-app purchases. It can be found on the "Services & APIs" page of the Google
## Play developer console.

# define build.google_play_key = "..."


## The username and project name associated with an itch.io project, separated
## by a slash.

# define build.itch_project = "renpytom/test-project"
